#include <iostream> // for std::cout
#include "io.h"
#include <cmath>

// Definition of function main()
double get_user_double()
{
    std::cout << "Enter a double value: ";
    double x{};
    std::cin >> x;
    return x;
}
char get_user_operator()
{
    std::cout << "Enter +, -, * or /: ";
    char x{};
    std::cin >> x;
    return x;
}
void print_result(double a, double b, char c)
{
    double result{};
    switch (c)
    {
    case '+':
        result = a + b;
        break;
    case '-':
        result = a - b;
        break;
    case '*':
        result = a * b;
        break;
    case '/':
        result = a / b;
        break;
    default:
        return;
    }
    std::cout << a << ' ' << c << ' ' << b << " is " << result;
}
void task1()
{
    double a{get_user_double()};
    double b{get_user_double()};
    char c{get_user_operator()};
    print_result(a, b, c);
}

long get_user_tower_height()
{
    std::cout << "Enter the height of the tower in meters: ";
    long x{};
    std::cin >> x;
    return x;
}
void task2()
{
    long tower_height{get_user_tower_height()};
    for (size_t i = 0; i < 6; i++)
    {
        double result{static_cast<double>(tower_height) - 9.8 * pow(static_cast<double>(i), 2) / 2};
        if (result <= 0.0)
            std::cout << "At " << i << " seconds, the ball is on the ground\n";
        else
            std::cout << "At " << i << " seconds, the ball is at height: " << result << " meters\n";
    }
}
int main()
{
    // add_two_numbers();
    // convert_char_to_ascii();
    // print_type_size_bytes();
    // task1();
    task2();
    return 0;
}